Get Project Dependency Count
https://app.fossa.com/api/v2/revisions/{locator}/dependencies/countGet the total count of dependencies for a given project revision
Path parameters
locatorstringrequiredThe locator of the project revision
Query parameters
sources[]enum[]Filter dependencies by source type (managed or vendored). Only supported on project scope.
Responses
200OKcountintegerThe total number of dependencies for this project revision
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/revisions/%7Blocator%7D/dependencies/countcurl --request GET \ --url 'https://app.fossa.com/api/v2/revisions/%7Blocator%7D/dependencies/count' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredThe locator of the project revision
Query params
sources[]arrayFilter dependencies by source type (managed or vendored). Only supported on project scope.